import request from '@/utils/request'

export function list(params) {
  return request({
    url: '/api/convenience/fingertipIntegral/list',
    method: 'get',
    params
  })
}

export function add(data) {
  return request({
    url: '/api/convenience/fingertipIntegral',
    method: 'post',
    data
  })
}

export function del(params) {
  return request({
    url: '/api/convenience/fingertipIntegral',
    method: 'DELETE',
    params
  })
}

export function recordList(data) {
  return request({
    url: '/api/convenience/fingertipIntegral/recordList',
    method: 'post',
    data
  })
}

export function settlementList(data) {
  return request({
    url: '/api/convenience/fingertipIntegral/settlementList',
    method: 'post',
    data
  })
}

export function settlementDeal(data) {
  return request({
    url: '/api/convenience/fingertipIntegral/settlementDeal',
    method: 'post',
    data
  })
}

export function activityList(data) {
  return request({
    url: '/api/convenience/fingertipIntegralActivity/list',
    method: 'post',
    data
  })
}

export function activityUpdate(data) {
  return request({
    url: '/api/convenience/fingertipIntegralActivity',
    method: 'post',
    data
  })
}

export function activityInfo(params) {
  return request({
    url: '/api/convenience/fingertipIntegralActivity/info',
    method: 'get',
    params
  })
}

export function activityDel(params) {
  return request({
    url: '/api/convenience/fingertipIntegralActivity',
    method: 'DELETE',
    params
  })
}

export function settlementRecordList(params) {
  return request({
    url: '/api/convenience/fingertipIntegral/settlementRecordList',
    method: 'get',
    params
  })
}
